perl-Perl-Critic-Deprecated-1.119.0-5.mga6.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Deprecated - Write C<$my_variable = 42> instead of C<$MyVariable = 42>

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name perl-Perl-Critic-Deprecated
Package version 1.119.0
Package release 5.mga6
Package architecture noarch
Package type rpm
Installed size 44.05 KB
Download size 26.48 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The included policies are:
* Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs
Write '$my_variable = 42' instead of '$MyVariable = 42'. [Severity 1]

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Deprecated-1.119.0-5.mga6.noarch.rpm 1.119.0 noarch Mageia Core
perl-Perl-Critic-Deprecated - - -

Requires

Name Value
perl >= 0:5.006001
perl(Carp) -
perl(English) -
perl(Exporter) -
perl(List::MoreUtils) -
perl(PPI::Node) -
perl(Perl::Critic::Policy) >= 1.94.0
perl(Perl::Critic::Utils) >= 1.94.0
perl(Readonly) -
perl(base) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Perl::Critic::Deprecated) == 1.119.0
perl(Perl::Critic::Policy::Miscellanea::RequireRcsKeywords) == 1.119.0
perl(Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs) == 1.119.0
perl(Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseVars) == 1.119.0
perl(Perl::Critic::Utils::PPIRegexp) == 1.119.0
perl-Perl-Critic-Deprecated == 1.119.0-5.mga6

Download

Type URL
Binary Package perl-Perl-Critic-Deprecated-1.119.0-5.mga6.noarch.rpm
Source Package perl-Perl-Critic-Deprecated-1.119.0-5.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Deprecated rpm package:
    # urpmi perl-Perl-Critic-Deprecated

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Perl/
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Deprecated.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Miscellanea/RequireRcsKeywords.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/NamingConventions/ProhibitMixedCaseSubs.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/NamingConventions/ProhibitMixedCaseVars.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Utils/PPIRegexp.pm
/usr/share/doc/perl-Perl-Critic-Deprecated/Changes
/usr/share/doc/perl-Perl-Critic-Deprecated/META.yml
/usr/share/doc/perl-Perl-Critic-Deprecated/README
/usr/share/man/man3/Perl::Critic::Deprecated.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Miscellanea::RequireRcsKeywords.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseVars.3pm.xz
/usr/share/man/man3/Perl::Critic::Utils::PPIRegexp.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 1.119.0-5.mga6
+ Revision: 1031963
- Rebuild for perl 5.22.2
2016-02-08 - umeabot <umeabot> 1.119.0-4.mga6
+ Revision: 942848
- Mageia 6 Mass Rebuild
2014-10-15 - umeabot <umeabot> 1.119.0-3.mga5
+ Revision: 743129
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 1.119.0-2.mga5
+ Revision: 685926
- Mageia 5 Mass Rebuild
2014-02-07 - sander85 <sander85> 1.119.0-1.mga5
+ Revision: 585263
- update to 1.119
2013-10-18 - umeabot <umeabot> 1.108.0-3.mga4
+ Revision: 514033
- Mageia 4 Mass Rebuild

See Also

Package Description
perl-Perl-Critic-Lax-0.13.0-2.mga7.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.3.0-5.mga6.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-7.mga6.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-7.mga6.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-96.0.0-1.mga7.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-7.mga6.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.50.0-3.mga6.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-7.mga6.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.9.0-5.mga6.noarch.rpm (this => is => not => good)
perl-Perl-Destruct-Level-0.20.0-17.mga7.i586.rpm Allow to change perl's destruction level
perl-Perl-Metrics-Simple-0.180.0-3.mga6.noarch.rpm Methods analyzing a single file
perl-Perl-MinimumVersion-1.380.0-6.mga6.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.10.0-1.mga7.noarch.rpm Map Perl operating system names to generic types
perl-Perl-PrereqScanner-1.23.0-3.mga6.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Tags-0.320.0-6.mga7.noarch.rpm Testing output of L<Perl::Tags>
Advertisement
Advertisement